<script src="https://code.jquery.com/jquery-2.2.4.min.js"
    integrity="sha256-BbhdlvQf/xTY9gja0Dq3HiwQF8LaCRTXxZKRutelT44=" crossorigin="anonymous"></script>

<form method="post">
    <select name="days">
        <option value="2">2 days</option>
        <option value="3">3 days</option>
    </select>
    <select name="persons">
        <option value="2">2 persons</option>
        <option value="4">4 persons</option>
        <option value="6">6 persons</option>
        <option value="8">8 persons</option>
    </select>

    <script>
        var readyToCalculate = false;
        var optionChanges = 0;
        $('select').on('change', function (e) {
            if (readyToCalculate == true) {
                calculate();
            } else {
                optionChanges++;
                if (optionChanges == 2) {
                    readyToCalculate = true;
                    calculate();
                }
            }
        });

        function calculate() {

            var val1 = parseInt($('select[name=days]').val());
            var val2 = parseInt($('select[name=persons]').val());
            var result = (val1 + val2);
            $(".results").html(result);
        }
    </script>